{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.home.roles.sync;
in
{
  options.home.roles.sync = {
    enable = mkEnableOption "Enable file synchronization services";
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      syncthingtray
    ];

    services.syncthing = {
      enable = true;
    };
  };
}